# std::_List_node_base Struct Reference

Common part of a node in the list. More...

Inheritance diagram for std::_List_node_base:
[legend]

List of all members.

## Public Member Functions

- void _M_hook (_List_node_base *const __position) throw ()
- void _M_reverse () throw ()
- void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) throw ()
- void _M_unhook () throw ()

## Static Public Member Functions

- static void swap (_List_node_base &__x, _List_node_base &__y) throw ()

## Public Attributes

- _List_node_base * _M_next
- _List_node_base * _M_prev

## Detailed Description

Common part of a node in the list.

Definition at line 71 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h